org.apache.fop.render.pdf

## Class PDFDocumentHandlerMaker

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
  - - org.apache.fop.render.pdf.PDFDocumentHandlerMaker

-     public class PDFDocumentHandlerMaker
      extends AbstractIFDocumentHandlerMaker

  Intermediate format document handler factory for PDF output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFDocumentHandlerMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getSupportedMimeTypes()`
    `IFDocumentHandler` | `makeIFDocumentHandler(IFContext ifContext)` Instantiates a new `IFDocumentHandler`.
    `boolean` | `needsOutputStream()`

    - ### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker

      `isMimeTypeSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFDocumentHandlerMaker

          public PDFDocumentHandlerMaker()

  - ### Method Detail

    - #### makeIFDocumentHandler

          public IFDocumentHandler makeIFDocumentHandler(IFContext ifContext)

      Description copied from class: `AbstractIFDocumentHandlerMaker`
      Instantiates a new `IFDocumentHandler`.
      Specified by:
        `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
      Parameters:
        `ifContext` - the user agent
      Returns:
        the newly instantiated document handler

    - #### needsOutputStream

          public boolean needsOutputStream()

      Specified by:
        `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
      Returns:
        Indicates whether this document handler requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public String[] getSupportedMimeTypes()

      Specified by:
        `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
      Returns:
        an array of MIME types the document handler supports.

Copyright © 2023 Apache Software Foundation. All rights reserved.